<template>
    <v-app>
        <v-main>
            <ModalNotification ref="refModalNotification"/>
            <router-view/>
        </v-main>
    </v-app>
</template>

<script setup>
    import {onMounted, ref} from 'vue';
    import ModalNotification from './components/ModalNotification.vue';
    import store from '@/store';

    const refModalNotification = ref(null)

    onMounted(() => {
        store.dispatch('initialModalNotification', refModalNotification.value )
    })




</script>
